Subject: bug#28182: maybe implement CTRL++ to zoom text

From: Drew Adams <[email-masked]>
Date: Wed, 23 Aug 2017 16:28:50 -0700 (PDT)

> About that text zooming key binding stuff,
> maybe make them part (info "(emacs) CUA Bindings").
> That seems where the CTRL++ and CTRL+- overrides belong.
> If the user is rebinding C-c and C-x etc. then he probably also wants
> the zoom overrides for CTRL++ and CTRL+- he is familiar with.
> 
> (I'm not exactly sure how close all this is to
> https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__en.wikipedia.org_wiki_IBM-5FCommon-5FUser-
> 5FAccess&d=DwIBAg&c=RoP1YumCXCgaWHvlZYR8PQcxBKCX5YTpkKY057SbK10&r=qZLZosY6GB
> AaJtOG9v8QX7nD4BS9t9s5otgxC3d4IFU&m=7BofVf_jmEndxuMwgszZM4WqfVkdKiqE6m48YHoX
> OHw&s=C6n8ANAX45ayIUggDjIsrtZrB9LnLneshTs6eBpF59o&e=  etc.)

As you hint in your last paragraph, I don't think this has
anything to do with CUA.

Just as I argue that Emacs's cl.el should not have extraneous
stuff that has nothing to do with Common Lisp (which it has
gotten, little by little), so I'd argue that text-scaling
should not be added to `cua-mode'.  If you want to create
another minor mode that uses those keys for text-scaling,
that's OK by me.